export { validate } from "./decorators";
export { getValidatorBag } from "./utils";
import { Class, ClassValidatorArg } from "@ioc:Adonis/ClassValidator/Shared";
export declare class ClassValidator {
    /**
     * Validate data using a class schema.
     * @param validatorClass Validator class.
     * @param data Data to validate.
     * @param args Validator config.
     * @returns Validated data.
     */
    static validate<T>(validatorClass: Class<T>, data: any, args?: Omit<ClassValidatorArg, "data">): Promise<T>;
}
