"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClassValidator = exports.getValidatorBag = exports.validate = void 0;
var decorators_1 = require("./decorators");
Object.defineProperty(exports, "validate", { enumerable: true, get: function () { return decorators_1.validate; } });
var utils_1 = require("./utils");
Object.defineProperty(exports, "getValidatorBag", { enumerable: true, get: function () { return utils_1.getValidatorBag; } });
const utils_2 = require("./utils");
const class_transformer_1 = require("class-transformer");
const Schema_1 = require("@adonisjs/validator/build/src/Schema");
const Validator_1 = require("@adonisjs/validator/build/src/Validator");
class ClassValidator {
    /**
     * Validate data using a class schema.
     * @param validatorClass Validator class.
     * @param data Data to validate.
     * @param args Validator config.
     * @returns Validated data.
     */
    static validate(validatorClass, data, args) {
        return __awaiter(this, void 0, void 0, function* () {
            const validatorBag = utils_2.getValidatorBag(validatorClass);
            const validatedData = yield Validator_1.validator.validate(Object.assign({ schema: Schema_1.schema.create(validatorBag.schema), cacheKey: validatorBag.key, data }, args));
            return class_transformer_1.plainToClass(validatorClass, validatedData);
        });
    }
}
exports.ClassValidator = ClassValidator;
