import { ClassValidatorBag, Class, SchemaType } from "@ioc:Adonis/ClassValidator/Shared";
import { TypedSchema, CustomMessages } from "@ioc:Adonis/Core/Validator";
/**
 * Get the typed schema of a nested validator class.
 * @param nestedClass Validator class
 * @returns Typed schema of validator class.
 */
export declare const nested: <T>(nestedClass: Class<T>) => TypedSchema;
/**
 * Get the validation bag of a target.
 *
 * If none exists, target is initialized with an empty bag.
 * @param target Target
 * @returns Validation Schema.
 */
export declare const getValidatorBag: (target: any) => ClassValidatorBag;
/**
 * Converts messages field name into a format compatible with Adonis.
 * @param fieldName Field name
 * @param messages Messages rules for the field specified
 * @returns Transformed messages
 */
export declare const transformMessages: (fieldName: string, messages: CustomMessages, isArray?: boolean) => {};
/**
 * Check if a schema is an array schema.
 * @param schema Schema to check.
 * @returns If schema is an array.
 */
export declare const schemaIsArray: (schema: SchemaType) => boolean;
/**
 * Check if a schema is a date schema.
 * @param schema Schema to check.
 * @returns If schema is date.
 */
export declare const schemaIsDate: (schema: SchemaType) => boolean;
/**
 * Generate a unique and ever increasing nonce of length 15.
 * @returns Unique number
 */
export declare const nonce: () => number;
